CrossOver Support - Community Forums

Important Information These are community forums and not official technical support. If you need official support: Contact Us



CrossOver Linux
Discussion about CrossOver Linux

The following comments are owned by whoever posted them. We are not responsible for them in any way.


Reply to Thread Back to Threads

How to update to latest version of Crossover?
Lu
Lu
Posted 2016-01-20 08:57
Hello - can anyone point me to instructions for how to update Crossover from 14.1.11 to the latest 15.0.1 version?

I've looked everywhere on this site but can't find anything.

I'm using Mint 17.2 cinnamon 64 bit and installed the current Crossover 14.1.11 using the deb file.
Do I need to uninstall first then install the new deb that I've downloaded?

Finally is there a way to save my current Crossover in its current setup, and its bottles, in case the new Crossover isn't good to me?

Thanks for reading - hope someone can help (:
Striker Leggette
Striker Leggette
Posted 2016-01-20 09:00
Lu,

You can use the following link:
http://crossover.codeweavers.com/redirect/crossover.rpm

This link points to the most recent version of CX at all times.  You can also view the full list of packages with the following link:
http://media.codeweavers.com/pub/crossover/cxlinux/demo/

Striker
Striker Leggette
Striker Leggette
Posted 2016-01-20 09:11
Lu,

My apologies, as I had thought that Linux Mint was RPM based.  It looks like it is actually DEB based.  For that, you can use the media link I sent you, for which the DEB and MD5 of the DEB are listed from the current version of CX (15.0.0-1):

http://media.codeweavers.com/pub/crossover/cxlinux/demo/crossover_15.0.0-1.deb
http://media.codeweavers.com/pub/crossover/cxlinux/demo/crossover_15.0.0-1.deb.md5

Striker
Pierre
Pierre Omniscient Mystical Exalted Nigh-invincible Supreme Raging Atomic Dragon Turbo Chief Senior Advocate, Rank 8
Posted 2016-01-20 20:03
just download the later version of Cx and install it right over the top of the existing Cx version.
- don't bother UN-installing the previous version.
works well on my LM PCs.

the other thing that is often done on my PCs,  is when installing LinuxMint,
is to use a separate /home partition, to allow for both crossover & virtualBox ,
and make that partition 50% bigger than normal.
Lu
Lu
Posted 2016-01-20 22:08
Thanks you guys - thats got me sorted on how to install newer version.

I've been undecided about creating a separate home partition Pierre.  I've read arguments both for and against doing so, but I don't know enough to understand their reasons.  One of these days I will understand better and probably do it.

Thanks again (:

Please Note: This Forum is for non-application specific questions relating to installation/configuration of CrossOver. All application-specific posts to this Forum will be moved to their appropriate Compatibility Center Forum.

CrossOver Forums: the place to discuss running Windows applications on Mac and Linux

Please Wait...
eyJjYXJ0IjowLCJ0enMiOi02LCJjZG4iOiJodHRwczpcL1wvbWVkaWEuY29kZXdlYXZlcnMuY29tXC9wdWJcL2Nyb3Nzb3Zlclwvd2Vic2l0ZSIsImNkbnRzIjoxNTcwNTQ3NzcwfQ==